Submit payment instruction
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Serial number of the merchant’s payment device.
Headers
Request
Object that contains the customer’s contact details and address information.
Contains parameters required for Level 2, Level 3, and CEDP transactions.
Object that contains information about saving the customer’s payment details.
Indicates if we should automatically capture the payment amount.
true- Run a sale and automatically capture the transaction.false- Run a pre-authorization and capture the transaction later.
Note: If you send false and the terminal doesn’t support pre-authorization, we set the transaction’s status to pending. The merchant must capture the transaction to take payment from the customer.
Indicates if we should immediately settle the sale transaction. The merchant cannot adjust the transaction if we immediately settle it.
Note: If the value for processAsSale is true, the gateway ignores the value in autoCapture.
Response
Indicates the current status of the instruction.
canceled– The instruction was canceled before it was completed.completed– The instruction has completed. Use the link object to check the resource.failure– The instruction failed. Check the errorMessage field for more information.inProgress– The instruction is currently in progress.
Description of the error that caused the instruction to fail.
Note: We return this field only if the status is failure.